
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001-2004 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level3.core;

import org.w3c.dom.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
 *  Invoke the renameNode method to rename a new element node of a new document so that 
 *  its namespaceURI is http://www.w3.org/2000/xmlns/ and qualifiedName is xmlns:xmlns.
 *  Check if this element has been renamed successfully by verifying the
 *  nodeName, attributes of the renamed node.
* @author IBM
* @author Neil Delima
* @see <a href="http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Document3-renameNode">http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Document3-renameNode</a>
*/
public final class documentrenamenode17 extends DOMTestCase {

   /**
    * Constructor.
    * @param factory document factory, may not be null
    * @throws org.w3c.domts.DOMTestIncompatibleException Thrown if test is not compatible with parser configuration
    */
   public documentrenamenode17(final DOMTestDocumentBuilderFactory factory)  throws org.w3c.domts.DOMTestIncompatibleException {
      super(factory);

    //
    //   check if loaded documents are supported for content type
    //
    String contentType = getContentType();
    preload(contentType, "barfoo", true);
    }

   /**
    * Runs the test case.
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      Document newDoc;
      DOMImplementation domImpl;
      Element element;
      Node renamedNode;
      String nodeName;
      int nodeType;
      String namespaceURI;
      Element docElem;
      String rootNS;
      String rootTagname;
      DocumentType nullDocType = null;

      doc = (Document) load("barfoo", true);
      docElem = doc.getDocumentElement();
      rootNS = docElem.getNamespaceURI();
      rootTagname = docElem.getTagName();
      domImpl = doc.getImplementation();
      newDoc = domImpl.createDocument(rootNS, rootTagname, nullDocType);
      element = newDoc.createElementNS("http://www.w3.org/1999/xhtml", "body");
      renamedNode = newDoc.renameNode(element, "http://www.w3.org/1999/xhtml", "xhtml:head");
      nodeName = renamedNode.getNodeName();
      namespaceURI = renamedNode.getNamespaceURI();
      nodeType = (int) renamedNode.getNodeType();
      assertEquals("documentrenamenode16_nodeName", "xhtml:head", nodeName);
      assertEquals("documentrenamenode16_nodeType", 1, nodeType);
      assertEquals("documentrenamenode16_nodeValue", "http://www.w3.org/1999/xhtml", namespaceURI);
      }
   /**
    *  Gets URI that identifies the test.
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level3/core/documentrenamenode17";
   }
   /**
    * Runs this test from the command line.
    * @param args command line arguments
    */
   public static void main(final String[] args) {
        DOMTestCase.doMain(documentrenamenode17.class, args);
   }
}

